#### D.11.2.3 autonom

Procedure from library `control.lib` (see control_lib).

Usage:
  autonom(R); R a module (R is a matrix of the system of equations which is to be investigated)

Return:
  list

Purpose:
  find all the properties concerning autonomy of the system (behavior) represented by the matrix R

Note:
  the properties and corresponding data like autonomy resp. strong autonomy, dimension of the system, autonomy degree, kernel representation and (over)determinacy are investigated

Example:

    LIB "control.lib";
    // Cauchy
    ring r=0,(s1,s2,s3,s4),dp;
    module R= [s1,-s2],
    [s2, s1],
    [s3,-s4],
    [s4, s3];
    R=transpose(R);
    view( R );
    ==> s1,-s2,
    ==> s2,s1 ,
    ==> s3,-s4,
    ==> s4,s3
    view( autonom(R) );
    ==> number of first nonzero Ext:
    ==>
    ==> 2
    ==>
    ==> overdetermined, not strongly autonomous
    ==>
    ==> dimension of the system:
    ==>
    ==> 2
    ==>

User manual for Singular version 4.4.1, 2025, generated by texi2html.